OpenGuides::Search::Lucy(3pm)

NAME
OpenGuides::Search::Lucy - Run Lucy-backed text searches for OpenGuides.

DESCRIPTION
Does search stuff for OpenGuides. Distributed and installed as part of the OpenGuides project, not intended for independent installation. This documentation is probably only useful to OpenGuides developers.

SYNOPSIS
  use OpenGuides::Config;
  use OpenGuides::Search::Lucy;

  my $config = OpenGuides::Config->new( file => "wiki.conf" );
  my $search = OpenGuides::Search::Lucy->new( config => $config );
  $search->run_text_search( search_string => "wombat defenestration" );

METHODS

new
      my $config = OpenGuides::Config->new( file => "wiki.conf" );
      my $search = OpenGuides::Search::Lucy->new( config => $config );

run_text_search
      my $config = OpenGuides::Config->new( file => "wiki.conf" );
      my $search = OpenGuides::Search::Lucy->new( config => $config );
      $search->run_text_search( search_string => "wombat defenestration" );

AUTHOR
The OpenGuides Project (openguides-dev@lists.openguides.org)

COPYRIGHT
     Copyright (C) 2013 The OpenGuides Project.  All Rights Reserved.

The OpenGuides distribution is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
OpenGuides